Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IPageContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContainerContent, IContent, IElement, IStyledElement

    public interface IPageContent

extends IContainerContent

Page instance. The page may contains multiple columns, which is defined in the MasterPage in report design. The content is defined by getBody().

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`IStyle` | `getContentComputedStyle()` Deprecated. use getPageBody().getComputedStyle()
`IStyle` | `getContentStyle()` Deprecated. use getPageBody().getStyle()
`java.util.Collection` | `getFooter()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getFooterHeight()`
`java.util.Collection` | `getHeader()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getHeaderHeight()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getLeftWidth()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getMarginBottom()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getMarginLeft()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getMarginRight()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getMarginTop()`
`java.lang.String` | `getOrientation()`
`IContent` | `getPageBody()`
`IContent` | `getPageFooter()`
`IContent` | `getPageHeader()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getPageHeight()`
`long` | `getPageNumber()`
`java.lang.String` | `getPageType()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getPageWidth()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getRightWidth()`
`IImageContent` | `getWaterMark()`
`void` | `setPageBody(IContent body)`
`void` | `setPageFooter(IContent footer)`
`void` | `setPageHeader(IContent header)`
`void` | `setPageNumber(long pageNumber)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Method Detail

### getOrientation

    java.lang.String getOrientation()

  Returns:
    Returns the orientation.

### getPageType

    java.lang.String getPageType()

  Returns:
    Returns the pageType.

### getPageHeight

    org.eclipse.birt.report.engine.ir.DimensionType getPageHeight()

  Returns:
    Returns the pageHeight.

### getPageWidth

    org.eclipse.birt.report.engine.ir.DimensionType getPageWidth()

  Returns:
    Returns the pageWidth.

### getWaterMark

    IImageContent getWaterMark()

  Returns:
    Returns the waterMark.

### getHeader

    java.util.Collection getHeader()

### getFooter

    java.util.Collection getFooter()

### getPageHeader

    IContent getPageHeader()

### getPageFooter

    IContent getPageFooter()

### getPageBody

    IContent getPageBody()

### setPageHeader

    void setPageHeader(IContent header)

### setPageFooter

    void setPageFooter(IContent footer)

### setPageBody

    void setPageBody(IContent body)

### getMarginTop

    org.eclipse.birt.report.engine.ir.DimensionType getMarginTop()

### getMarginBottom

    org.eclipse.birt.report.engine.ir.DimensionType getMarginBottom()

### getMarginLeft

    org.eclipse.birt.report.engine.ir.DimensionType getMarginLeft()

### getMarginRight

    org.eclipse.birt.report.engine.ir.DimensionType getMarginRight()

### getHeaderHeight

    org.eclipse.birt.report.engine.ir.DimensionType getHeaderHeight()

  Returns:
    Returns the header height

### getFooterHeight

    org.eclipse.birt.report.engine.ir.DimensionType getFooterHeight()

  Returns:
    Returns the footer height

### getLeftWidth

    org.eclipse.birt.report.engine.ir.DimensionType getLeftWidth()

  Returns:
    Returns the width of the left part

### getRightWidth

    org.eclipse.birt.report.engine.ir.DimensionType getRightWidth()

  Returns:
    Returns the width of the right part

### getContentStyle

    IStyle getContentStyle()

  Deprecated. use getPageBody().getStyle()

  Returns:
    Returns the content style.

### getPageNumber

    long getPageNumber()

### setPageNumber

    void setPageNumber(long pageNumber)

### getContentComputedStyle

    IStyle getContentComputedStyle()

  Deprecated. use getPageBody().getComputedStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.